##
## interface graphique pour la robotique
##
## Matthieu Herrb - Juillet 1999
## 
## Copyright (c) 1999 LAAS/CNRS
##

## 
## Module de gestion des transformations
##

package provide Grh2::coord 1.0

namespace eval Grh2 {

    namespace export m_to_pixel x_m_to_pixel y_m_to_pixel
    namespace export pixel_to_m x_pixel_to_m y_pixel_to_m
    
    proc m_to_pixel { x } {

	return [expr ($x * $::Grh2::scale)]
    }
    proc x_m_to_pixel { x } {

	return [expr ($x * $::Grh2::scale)]
    }
    proc y_m_to_pixel { x } {

	return [expr -($x * $::Grh2::scale)]
    }
    proc pixel_to_m { x } {

	return [expr ($x / $::Grh2::scale)]
    }
    proc x_pixel_to_m { x } {

	return [expr ($x / $::Grh2::scale)]
    }
    proc y_pixel_to_m { x } {

	return [expr -($x / $::Grh2::scale)]
    }
} 
