#
# Affichage de donneees des SuperScouts
#
# Mode d'emploi:
#
# rwish /usr/local/robots/grh2/tcl/main.tcl
# -> source scout.tcl
#
#----------------------------------------------------------------------
package provide Grh2::scout 1.0

# Connexion a tclServ
package require genom

proc drawSonars {} {
    set data [scout::SonarssonarsEchoFrameGlobalPosterRead -raw]
    set data [lrange $data 1 end]
    set r 3
    $Grh2::c delete sonarPoints
    for {set i 0} {$i < [llength $data]} {incr i 2} {
	set x [lindex $data $i]
	set y [lindex $data [expr $i+1]]
	puts "x $x - y $y"
	set x [Grh2::x_m_to_pixel $x]
	set y [Grh2::y_m_to_pixel $y]
	set x1 [expr $x-$r]
	set y1 [expr $y-$r]
	set x2 [expr $x+$r]
	set y2 [expr $y+$r]
	$Grh2::c create oval $x1 $y1 $x2 $y2 -tags sonarPoints -outline magenta
    }
}

proc drawScout {} {
    set pos [ scout::RobotPositionPosterRead -raw ]

    $Grh2::c delete robot
    set x [Grh2::x_m_to_pixel [lindex $pos 3]]
    set y [Grh2::y_m_to_pixel [lindex $pos 4]]
    set theta [lindex $pos 5]
    $Grh2::c create robot $x $y $theta -fill red -tag robot
}

# Exemple de connexion a un robot
# connect athos
# lm scout /usr/local/robots/scout/modules/scout
# mboxInit

